import { ElementRef, EventEmitter, NgZone, OnDestroy } from '@angular/core';
import { AngularDatepickerOptions } from '../datepicker-options';
import * as moment_ from 'moment';
export interface CalendarDate {
    day: number;
    month: number;
    year: number;
    differentMonth: boolean;
    enabled: boolean;
    today: boolean;
    weekend: boolean;
    selected: boolean;
}
export interface Week {
    rowId?: number;
    weekNumber?: number;
    days?: Array<CalendarDate>;
}
export declare class DatePickerContainerComponent implements OnDestroy {
    private elRef;
    private zone;
    onDateSelected: EventEmitter<{}>;
    opened: boolean;
    date: moment_.Moment;
    inputDate: any;
    weeks: Array<Week>;
    weekDayNames: Array<string>;
    days: Array<any>;
    mqMatches: boolean;
    options: AngularDatepickerOptions;
    weekendHighlight: boolean;
    todayHighlight: boolean;
    todayString: boolean;
    private firstWeekdaySunday;
    private mq;
    private watchMediaQuery;
    constructor(elRef: ElementRef, zone: NgZone);
    mergeOptions(options: AngularDatepickerOptions): void;
    generateCalendar(selectedMonthFlag?: boolean): void;
    setToday(): void;
    selectDate(e: MouseEvent, d: CalendarDate): void;
    prevMonth(): void;
    nextMonth(): void;
    open(): void;
    close(): void;
    ngOnDestroy(): void;
}
