import { ElementRef, OnInit, AfterViewInit, OnDestroy } from '@angular/core';
import { ControlValueAccessor } from '@angular/forms';
import { DatePickerContainerComponent } from '../datepicker-container/datepicker-container.component';
import { AngularDatepickerOptions } from '../datepicker-options';
export interface CalendarDate {
    day: number;
    month: number;
    year: number;
    differentMonth: boolean;
    enabled: boolean;
    today: boolean;
    weekend: boolean;
    selected: boolean;
}
export declare class DatePickerComponent implements ControlValueAccessor, OnInit, AfterViewInit, OnDestroy {
    protected elRef: ElementRef;
    protected opts: AngularDatepickerOptions;
    class: string;
    opened: boolean;
    options: AngularDatepickerOptions;
    protected datePicker: DatePickerContainerComponent;
    date: any;
    viewDate: string | null;
    weeks: Array<{
        rowId?: number;
        days?: Array<CalendarDate>;
    }>;
    weekDayNames: Array<string>;
    days: Array<any>;
    disabled: boolean;
    onTouchedCallback: () => void;
    onChangeCallback: (_: any) => void;
    private closePickerOnOutsideClick;
    private closePickerOnTab;
    constructor(elRef: ElementRef, opts: AngularDatepickerOptions);
    value: any;
    onDateSelected(date: any): void;
    ngOnInit(): void;
    ngAfterViewInit(): void;
    writeValue(value: any): void;
    registerOnChange(fn: any): void;
    registerOnTouched(fn: any): void;
    setDisabledState(isDisabled: boolean): void;
    toggle(): void;
    closeOnTab(event: any): void;
    open(event?: MouseEvent): void;
    close(event?: MouseEvent): void;
    ngOnDestroy(): void;
}
